package com.sundot.airport.exam.logic.eighteen.model.result;

/**
 * <b>功能名：Get18ExamIntroResult</b><br>
 * <b>说明：</b><br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-05 Mokou
 */
public class Get18ExamIntroResult {
    /**
     * 考试ID
     */
    private String exId;

    /**
     * 考试名
     */
    private String exName;

    /**
     * 考试背景图
     */
    private String exBgImg;

    /**
     * 考试详情图
     */
    private String exDetailImg;

    /**
     * 考试限时 单位:秒 (-1表示不限时)
     */
    private Integer exExamTime;

    /**
     * 考试限制次数 (-1表示不限次数)
     */
    private Integer exExamCount;

    /**
     * 总题目数
     */
    private Integer questionCount;

    /**
     * 总分
     */
    private Integer totalScore;

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getExName() {
        return exName;
    }

    public void setExName(String exName) {
        this.exName = exName;
    }

    public String getExBgImg() {
        return exBgImg;
    }

    public void setExBgImg(String exBgImg) {
        this.exBgImg = exBgImg;
    }

    public String getExDetailImg() {
        return exDetailImg;
    }

    public void setExDetailImg(String exDetailImg) {
        this.exDetailImg = exDetailImg;
    }

    public Integer getExExamTime() {
        return exExamTime;
    }

    public void setExExamTime(Integer exExamTime) {
        this.exExamTime = exExamTime;
    }

    public Integer getExExamCount() {
        return exExamCount;
    }

    public void setExExamCount(Integer exExamCount) {
        this.exExamCount = exExamCount;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    @Override
    public String toString() {
        return "Get18ExamIntroResult{" +
                "exId='" + exId + '\'' +
                ", exName='" + exName + '\'' +
                ", exBgImg='" + exBgImg + '\'' +
                ", exDetailImg='" + exDetailImg + '\'' +
                ", exExamTime=" + exExamTime +
                ", exExamCount=" + exExamCount +
                ", questionCount=" + questionCount +
                ", totalScore=" + totalScore +
                '}';
    }
}
